You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/games/netspades/Makefile 327730 2013-09-20 
17:36:33Z bapt $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/10i386-default/2013-10-17_04h52m04s/logs/NetSpades-4.2.0_7.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/10i386-default/2013-10-17_04h52m04s
Log:

====>> Building games/netspades
build started at Thu Oct 17 15:08:38 UTC 2013
port directory: /usr/ports/games/netspades
building for: FreeBSD 10i386-default-job-21 10.0-BETA1 FreeBSD 10.0-BETA1 
r256420 i386
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/games/netspades/Makefile 327730 2013-09-20 
17:36:33Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=1000500
UNAME_v=FreeBSD 10.0-BETA1 r256420
UNAME_r=10.0-BETA1
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/10i386-default/ref
PKG_EXT=txz
tpid=46672
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=NetSpades-4.2.0_7
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=10i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
GLIB_CONFIG="/usr/local/bin/glib12-config" 
GTK_CONFIG="/usr/local/bin/gtk12-config" 
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES 
GLIB_CONFIG="/usr/local/bin/glib12-config" 
GTK_CONFIG="/usr/local/bin/gtk12-config" PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing -std=gnu89"  CPP="cpp" CPPFLAGS="-I/usr/local/include"  
LDFLAGS=" -L/usr/local/lib -ltermcap"  CXX="c++" CXXFLAGS="-O2 -pipe 
-fno-strict-aliasing"  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s 
-o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444" 
 BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/NetSpades
DOCSDIR=/usr/local/share/doc/NetSpades
EXAMPLESDIR=/usr/local/share/examples/NetSpades
WWWDIR=/usr/local/www/NetSpades
ETCDIR=/usr/local/etc/NetSpades
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for NetSpades-4.2.0_7
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   NetSpades-4.2.0_7 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of NetSpades-4.2.0_7
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by NetSpades-4.2.0_7 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by NetSpades-4.2.0_7 for building
=> SHA256 Checksum OK for NetSpades-4.2.0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by NetSpades-4.2.0_7 for building
===>  Extracting for NetSpades-4.2.0_7
=> SHA256 Checksum OK for NetSpades-4.2.0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for NetSpades-4.2.0_7
===========================================================================
=======================<phase: build-depends  >============================
===========================================================================
=======================<phase: lib-depends    >============================
===>   NetSpades-4.2.0_7 depends on shared library: slang.2 - not found
===>    Verifying install for slang.2 in /usr/ports/devel/libslang2
===>   Installing existing package /packages/All/libslang2-2.2.4_4.txz
Installing libslang2-2.2.4_4...Installing pcre-8.33... done
Installing png-1.5.17... done
 done
===>   Returning to build of NetSpades-4.2.0_7
===>   NetSpades-4.2.0_7 depends on shared library: glib-12.3 - not found
===>    Verifying install for glib-12.3 in /usr/ports/devel/glib12
===>   Installing existing package /packages/All/glib12-1.2.10_13.txz
Installing glib12-1.2.10_13... done
===>   Returning to build of NetSpades-4.2.0_7
===>   NetSpades-4.2.0_7 depends on shared library: gtk-12.2 - not found
===>    Verifying install for gtk-12.2 in /usr/ports/x11-toolkits/gtk12
===>   Installing existing package /packages/All/gtk1-1.2.10_22.txz
Installing gtk1-1.2.10_22...Installing xproto-7.0.24... done
Installing xextproto-7.2.1... done
Installing libxcb-1.9.1...Installing libXdmcp-1.1.1... done
Installing libXau-1.0.8... done
Installing libxml2-2.8.0_2... done
Installing libpthread-stubs-0.3_3... done
 done
Installing libXi-1.7.2,1...Installing libXfixes-5.0.1...Installing 
libX11-1.6.2,1...Installing kbproto-1.0.6... done
 done
Installing fixesproto-5.0... done
 done
Installing libXext-1.3.2,1... done
Installing inputproto-2.3... done
 done
Installing libSM-1.2.2,1...Installing libICE-1.0.8,1... done
 done
Installing gettext-0.18.3.1... done
 done
===>   Returning to build of NetSpades-4.2.0_7
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for NetSpades-4.2.0_7
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/games/netspades/work/NetSpades-4.2.0/aclocal.m4
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/games/netspades/work/NetSpades-4.2.0/configure
loading site script /usr/ports/Templates/config.site
creating cache ./config.cache
checking for a BSD compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... missing
checking for working autoconf... missing
checking for working automake... missing
checking for working autoheader... missing
checking for working makeinfo... found
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... cc
checking whether the C compiler (cc -O2 -pipe -fno-strict-aliasing -std=gnu89  
-L/usr/local/lib -ltermcap) works... yes
checking whether the C compiler (cc -O2 -pipe -fno-strict-aliasing -std=gnu89  
-L/usr/local/lib -ltermcap) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether cc accepts -g... yes
checking for a BSD compatible install... /usr/bin/install -c -o root -g wheel
checking how to run the C preprocessor... cpp
checking for gtk-config... /usr/local/bin/gtk12-config
checking for GTK - version >= 1.1.0... yes
checking for SLsmg_refresh in -lslang... yes
checking for slang.h... yes
checking for readline in -lreadline... yes
checking for readline/readline.h... yes
checking for using_history in -lhistory... yes
checking for readline/history.h... yes
checking for ANSI C header files... (cached) yes
checking for sys/wait.h that is POSIX.1 compatible... (cached) yes
checking for sys/time.h... (cached) yes
checking for unistd.h... (cached) yes
checking for working const... yes
checking for size_t... (cached) yes
checking whether time.h and sys/time.h may both be included... yes
checking return type of signal handlers... void
checking for select... (cached) yes
checking for socket... yes
checking for gethostbyname... (cached) yes
checking for inet_ntoa... (cached) yes
updating cache ./config.cache
creating ./config.status
creating Makefile
creating src/Makefile
creating config.h

*** The following programs will be built: slspades gspades spadesd
*** with the following debugging flags: 

===========================================================================
=======================<phase: build          >============================
===>  Building for NetSpades-4.2.0_7
/usr/bin/make  all-recursive
Making all in src
cc -DHAVE_CONFIG_H -I. -I. -I..   -I/usr/local/include  
-I/usr/local/include/gtk12 -I/usr/local/include/glib12 -I/usr/local/include 
-I/usr/local/include          -O2 -pipe -fno-strict-aliasing -std=gnu89 -c 
card.c
card.c:54:1: warning: control may reach end of non-void function [-Wreturn-type]
}
^
card.c:65:1: warning: control may reach end of non-void function [-Wreturn-type]
}
^
card.c:125:1: warning: control may reach end of non-void function 
[-Wreturn-type]
}
^
3 warnings generated.
cc -DHAVE_CONFIG_H -I. -I. -I..   -I/usr/local/include  
-I/usr/local/include/gtk12 -I/usr/local/include/glib12 -I/usr/local/include 
-I/usr/local/include          -O2 -pipe -fno-strict-aliasing -std=gnu89 -c 
client_main.c
cc -DHAVE_CONFIG_H -I. -I. -I..   -I/usr/local/include  
-I/usr/local/include/gtk12 -I/usr/local/include/glib12 -I/usr/local/include 
-I/usr/local/include          -O2 -pipe -fno-strict-aliasing -std=gnu89 -c 
client_func.c
client_func.c:274:1: warning: control may reach end of non-void function 
[-Wreturn-type]
}
^
1 warning generated.
cc -DHAVE_CONFIG_H -I. -I. -I..   -I/usr/local/include  
-I/usr/local/include/gtk12 -I/usr/local/include/glib12 -I/usr/local/include 
-I/usr/local/include          -O2 -pipe -fno-strict-aliasing -std=gnu89 -c 
socketfunc.c
socketfunc.c:156:23: warning: implicitly declaring library function 'malloc' 
with type 'void *(unsigned int)'
    *message = (char*)malloc( size*sizeof(char) );
                      ^
socketfunc.c:156:23: note: please include the header <stdlib.h> or explicitly 
provide a declaration for 'malloc'
1 warning generated.
cc -DHAVE_CONFIG_H -I. -I. -I..   -I/usr/local/include  
-I/usr/local/include/gtk12 -I/usr/local/include/glib12 -I/usr/local/include 
-I/usr/local/include          -O2 -pipe -fno-strict-aliasing -std=gnu89 -c 
sl_io.c
sl_io.c:61:5: error: redefinition of 'log' as different kind of symbol
int log = 0;
    ^
sl_io.c:61:5: note: previous definition is here
sl_io.c:420:36: warning: data argument not used by format string 
[-Wformat-extra-args]
      SLsmg_printf( "  Bid:     ", gameState.bids[0]+gameState.bids[2] );
                    ~~~~~~~~~~~~~  ^
sl_io.c:433:36: warning: data argument not used by format string 
[-Wformat-extra-args]
      SLsmg_printf( "  Bid:     ", gameState.bids[1]+gameState.bids[3] );
                    ~~~~~~~~~~~~~  ^
2 warnings and 1 error generated.
*** Error code 1

Stop.
make[3]: stopped in /wrkdirs/usr/ports/games/netspades/work/NetSpades-4.2.0/src
*** Error code 1

Stop.
make[2]: stopped in /wrkdirs/usr/ports/games/netspades/work/NetSpades-4.2.0
*** Error code 1

Stop.
make[1]: stopped in /wrkdirs/usr/ports/games/netspades/work/NetSpades-4.2.0
*** Error code 1

Stop.
make: stopped in /usr/ports/games/netspades
===>  Cleaning for NetSpades-4.2.0_7
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to